<?php
/**
 * StorePickupTimesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\BuClient;

use \Ensi\BuClient\Configuration;
use \Ensi\BuClient\ApiException;
use \Ensi\BuClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * StorePickupTimesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class StorePickupTimesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createStorePickupTime
     *
     * Добавить новую запись о времени отгрузки со склада.
     *
     */
    public function testCreateStorePickupTime()
    {
    }

    /**
     * Test case for deleteStorePickupTime
     *
     * Удалить запись о времени отгрузки со склада.
     *
     */
    public function testDeleteStorePickupTime()
    {
    }

    /**
     * Test case for extendedPatchStorePickupTime
     *
     * Частично обновить запись о времени отгрузки со склада с дополнительной фильтрацией.
     *
     */
    public function testExtendedPatchStorePickupTime()
    {
    }

    /**
     * Test case for getStorePickupTime
     *
     * Получить запись о времени отгрузки со склада.
     *
     */
    public function testGetStorePickupTime()
    {
    }

    /**
     * Test case for patchStorePickupTime
     *
     * Частично обновить запись о времени отгрузки со склада.
     *
     */
    public function testPatchStorePickupTime()
    {
    }

    /**
     * Test case for searchStorePickupTimes
     *
     * Получить список записей о времени отгрузки со склада.
     *
     */
    public function testSearchStorePickupTimes()
    {
    }
}
